<?php

class vb4ToXf11_Model_Import extends XFCP_vb4ToXf11_Model_Import
{
    public function importPostThanks($contentId, $contentUserId, $likeUserId, $likeDate)
    {
        if (!$contentId OR !$contentUserId OR !$likeUserId OR !$likeDate)
        {
            return;
        }
        $db = $this->_getDb();
        XenForo_Db::beginTransaction($db);
        $db->query('
            INSERT IGNORE INTO xf_liked_content
                (content_type, content_id, content_user_id, like_user_id, like_date)
            VALUES
                (?, ?, ?, ?, ?)
        ', array('post', $contentId, $contentUserId, $likeUserId, $likeDate));
        $db->query('
                UPDATE xf_user
                SET like_count = like_count + 1
                WHERE user_id = ?
            ', $contentUserId);
        /* @var $likeModel XenForo_Model_Like */
        $likeModel = $this->getModelFromCache('XenForo_Model_Like');
        /* @var $likeHandler XenForo_LikeHandler_Post */
        $likeHandler = $likeModel->getLikeHandler('post');
        $latestLikes = $likeModel->getLatestContentLikeUsers('post', $contentId);
        $likeHandler->incrementLikeCounter($contentId, $latestLikes);
        
        XenForo_Db::commit($db);
    }
}